﻿using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace HeaderCustomization
{
	public partial class HeaderCustomizationPage : ContentPage
	{
		public HeaderCustomizationPage()
		{
			InitializeComponent();


			Schedule.HeaderHeight = 0; //Customize the schedule header height (Month Header)
			Schedule.ViewHeaderHeight = 0;//Customize the Schedule header height(Day Header)


			scheduletype.VerticalOptions = LayoutOptions.Start;
			scheduletype.Items.Add("DayView");
			scheduletype.Items.Add("WeekView");
			scheduletype.Items.Add("WorkWeekView");
			scheduletype.Items.Add("MonthView");
			scheduletype.SelectedIndex = 0;
			scheduletype.BackgroundColor = Color.FromRgb(192, 192, 192);
			scheduletype.SelectedIndexChanged += (object sender, System.EventArgs e) =>
			{
				switch (this.scheduletype.SelectedIndex)
				{
					case 0:
						{
							Schedule.ScheduleView = ScheduleView.DayView;
						}
						break;
					case 1:
						{
							Schedule.ScheduleView = ScheduleView.WeekView;
						}
						break;
					case 2:
						{
							Schedule.ScheduleView = ScheduleView.WorkWeekView;
						}
						break;
					case 3:
						{
							Schedule.ScheduleView = ScheduleView.MonthView;
						}
						break;
				}
			};
		}
	}
}
